ImportTenant
POST
/api/admin/orgs/{slug}/tenant/import
const url = 'https://your-tenant.consystence.com/api/admin/orgs/example/tenant/import?force=false';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/x-yaml'}, body: 'example'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url 'https://your-tenant.consystence.com/api/admin/orgs/example/tenant/import?force=false' \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/x-yaml' \ --data exampleHosted service only; a site server does not serve this route.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”slug
required
string
Query Parameters
Section titled “Query Parameters”force
boolean
Request Bodyrequired
Section titled “Request Bodyrequired”The tenant YAML to import.
Media typeapplication/x-yaml
string
Responses
Section titled “ Responses ”OK